Name:           wmudmount
Version:        1.13
Release:        4%{?dist}
Summary:        A WindowMaker filesystem mounting dockapp using udisks

License:        GPLv2+
URL:            http://sourceforge.net/projects/wmudmount/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#http://sourceforge.net/tracker/?func=detail&aid=3540867&group_id=309786&atid=1304474
Patch0:         wmudmount-headers.patch

BuildRequires:  dbus-glib-devel
BuildRequires:  gtk2-devel
BuildRequires:  libICE-devel libSM-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libnotify-devel
BuildRequires:  ImageMagick

Requires:       hicolor-icon-theme
Requires:       udisks

%description
wmudmount is a filesystem mounter that uses udisks to handle notification of
new volumes and mounting of the filesystems as a non-root user. It also
includes a mode to display the mounted filesystems with the least free space
percentage.

%prep
%setup -q
%patch0 -p0 -b.headers

%build
%configure --disable-gtktest --with-x
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc ChangeLog
%{_bindir}/wmudmount
%{_mandir}/man1/wmudmount.1x*
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*


%changelog
* Wed Dec 05 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.13-4
- require udisks v1
- add upstream header patch

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.13-2
- cleanup BR

* Sat Jun 02 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.13-1
- initial version
